# This Mod is for Rundown Developer, not user
[Reference Config file to start with](https://github.com/GTFO-Modding/ExtraEnemyCustomization/raw/master/wikifiles/ExtraEnemyCustomization.zip)
[Wiki Page for Rundown Devs](https://github.com/Flowaria/ExtraEnemyCustomization/wiki) (Very WIP at this moment)

# 0.7.0 Update Log
 - Added `ScannerCustom`
 - Added `SilhouetteCustom`

# 0.6.0 Update Log
 - Added SpawnCost Custom
 - Updated GlowCustom so Hibernation color and SelfWakeup color works now

# 0.5.1 Update Log
 - Fixed Issue where Shooter Distance based setting able to changed during fire
 - Fixed Issue where Marker Custom Sprites are gone when they used on two different settings

# 0.5.0 Update Log
 - Added ScoutWaveCustom, Powerful settings to customize scout wave!
 - Added `GlowCustom` on ModelCustomization Section!
 - Now Support [PartialData Extension](https://gtfo.thunderstore.io/package/Flowaria/MTFO_Extension_PartialData/) you can use GUID as persistentIDs if you want!
 - Now use indirect reference to MTFO so it will be less version dependent.

# 0.4.2 Update Log
 - Bug Fix: Custom Tag Image gone after restart
 - Bug Fix: Weird Hitreact bug

# 0.4.1 Update Log
 - Recompiled Plugin with 1.2.0 BepInEx pack generated unhollowed assemblies



# Supported Features
 * Model Customization
    - `ShadowCustom`: Shadow Varient Customization (For every enemy model)
    - `MaterialCustom`: Material Swapper for changing skin of emenies
    - `GlowCustom`: for edting color of enemy glowing in general, also provide feature to adding custom Pulse Effect
    - `LimbCustom`: Enemy Limb Health/Weak/ArmorSpot Customization
    - `MarkerCustom`: Bio-tracker Ping Icon Customization (with custom images)
    - `ModelRefCustom`: ModelReference Custom for editing Bio-Tracker Ping position/Shooter Firing Position/Striker Tentacle Position
	- `ScannerCustom`: Bio-tracker screen customization per enemies (with real-time color changes)
	- `SilhouetteCustom`: Provides enemies silhouette to be able to see through the wall

 * Ability Customization
    - `FogSphereCustom`: Fog Sphere Ability's Fog Setting
    - `BirthingCustom`: Birthing Ability Customization
    - `HealthRegenCustom`: for Health Regen/Decay Enemy
    - `InfectionAttackCustom`: for Infectious Tentacle/Punch

 * Striker Tentacle Customization
    - `StrikerTentacleCustom`
       - Striker Tentacle Model Type Customization
       - Striker Tentacle In/Out/Stay time Custom
    - `TentacleDefinitions`
       - Work in Progress

 * Shooter Firing Customization
    - `ShooterFireCustom`
       - Shooter Projectile Setting Custom
       - Distance based Projectile Setting Swapper
    - `ProjectileDefinitions`
       - Custom Shooter Projectile Editing

 * Detection Customization
    - `FeelerCustom`: Scout Feeler Count/Color/Distance Customization

 * Scout Wave Customization
    - Different Setting Per Scout Variants
    - StopOnDead Setting for Scout alive orientated constant alarm
    - Random Picker for having different wave setting for single variant

 * SpawnCost Customization
    - You can edit Enemy's spawncost without editing population settings



# Credits
 - peelz for helping me to setup for future MTFO update
 - Mccad00 for few icons for MarkerCustom
 - Dex for providing codes related to SilhouetteCustom